## vlan 1.5

=== Makefile ===
# makefile template

include MakeInclude

LDLIBS =  

VLAN_OBJS = vconfig.o

ALL_OBJS = ${VLAN_OBJS}

VCONFIG = vconfig                  #program to be created


all: ${VCONFIG}


#This is pretty silly..
vconfig.h: Makefile
	touch vconfig.h


${VCONFIG}: $(VLAN_OBJS)
	$(CC) $(CCFLAGS) $(LDFLAGS) -o $(VCONFIG) $(VLAN_OBJS) $(LDLIBS)


$(ALL_OBJS): %.o: %.c %.h
	@echo " "
	@echo "Making $<"
	$(CC) $(CCFLAGS) -c $<

clean:
	rm -f *.o

purge: clean
	rm -f *.flc ${VCONFIG} vconfig.h
	rm -f *~

## vlan 1.6

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,9 @@
 	touch vconfig.h
 
 
-${VCONFIG}: $(VLAN_OBJS)
+$(VCONFIG): $(VLAN_OBJS)
 	$(CC) $(CCFLAGS) $(LDFLAGS) -o $(VCONFIG) $(VLAN_OBJS) $(LDLIBS)
+	$(STRIP) $(VCONFIG)
 
 
 $(ALL_OBJS): %.o: %.c %.h

## vlan 1.9

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 VCONFIG = vconfig                  #program to be created
 
 
-all: ${VCONFIG}
+all: ${VCONFIG} macvlan_config
 
 
 #This is pretty silly..
@@ -23,6 +23,8 @@
 	$(CC) $(CCFLAGS) $(LDFLAGS) -o $(VCONFIG) $(VLAN_OBJS) $(LDLIBS)
 	$(STRIP) $(VCONFIG)
 
+macvlan_config: macvlan_config.c
+	$(CC) $(CCFLAGS) $(LDFLAGS) -o $@ $<
 
 $(ALL_OBJS): %.o: %.c %.h
 	@echo " "
@@ -33,7 +35,7 @@
 	rm -f *.o
 
 purge: clean
-	rm -f *.flc ${VCONFIG} vconfig.h
+	rm -f *.flc ${VCONFIG} macvlan_config vconfig.h
 	rm -f *~

## vlan 2.0.4ubuntu1

=== debian/changelog ===
vlan (2.0.4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add support for biosdevname
      Only small change still required
      From: Debian bts 922801
      Files changed:
      - debian/network/if-pre-up.d/vlan
    - Add a udeb for vconfig in debian-installer
      From: Ubuntu bug 530468
      Note: This should be droppable as d-i should not require
            'vconfig' because it can use 'ip' to create vlans,
            but currently it still depends on vlan-udeb
      Files changed:
      - debian/control
      - debian/vlan-udeb.install 
    - Conditionally defer udev-triggered vlan interface creation
      to after raw-interface-device ifup is complete
      From: Ubuntu bug 1701023
      Files changed:
      - debian/vlan.udev
      - debian/network/if-up.d/vlan

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 21 Feb 2019 14:33:54 +0100

vlan (2.0.4) unstable; urgency=medium

  * New maintainer (Closes: #918013).
  * debian/control: bump Standards-Version to 4.3.0.
  * debian/copyright: make machine readable.
  * debian/network/*: make scripts executable.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Mon, 04 Feb 2019 17:36:33 +0100

vlan (2.0.3) unstable; urgency=medium

  * Orphan vlan.
  * Actually support Rules-Requires-Root: no.
  * Set Multi-Arch: foreign.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 Jan 2019 22:59:42 +0100

vlan (2.0.2) unstable; urgency=medium

  [ Niels Thykier ]
  * Bump debhelper compat to 12
  * Declare that vlan can produce its binary package without using (fake)root via "Rules-Requires-Root"

  [ Andrej Shadura ]
  * Merge changes from Niels Thykier (Closes: #917944)
  * This is now an Architecture: all package (Closes: #745202, #794156).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 Jan 2019 11:18:54 +0100

vlan (2.0.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecate priority extra as per policy 4.0.1.

  [ Andrej Shadura ]
  * Fix a typo in the script (patch by Marc Dequènes).
  * Merge changes from unstable.
  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 Jan 2019 11:08:55 +0100

vlan (2.0) experimental; urgency=medium

  * Non-maintainer upload.
  * Make this a native package and replace the previous upstream source
    with Andrew Shaduras vconfig compatibility script. (Closes: #501402)
  * Update package description to better describe this package content.
  * Rewrite debian/rules
  * Bump Standards-Version to 3.9.6
  * Update debian/network/ contents to not rely on vconfig.
    - in preparation for potentian future dropping vconfig compat script.
  * Update debian/copyright for the new package content.
  * Make vconfig always print a deprecated notice to stderr when executed.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 06 Jan 2016 18:42:14 +0100

vlan (1.9-3.4) unstable; urgency=medium

  * Merge a change from Ubuntu:
    - Support biosdevname interface names out of the box (LP: #948559).
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 02 Aug 2018 14:10:52 +0200

vlan (1.9-3.3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - In vlan ifupdown pre-up script, instead of calling ip link up for
      raw device before creating vlan interface, do a full ifup for raw
      device.  Otherwise, if raw device processes ifup after vlan device,
      the raw device may be taken down and back up, which removes all vlan
      routes and other configuration.
    - Correct previous patch, to work for ifupdown configuration where a
      vlan is configured but the vlan's raw device has no ifupdown config.
    - Revert change for lp1573272; instead fix by redesigning when vlan
      interfaces are created; after raw-device ifup, not during raw-device
      udev processing.
    - Add a udeb for vconfig in debian-installer.
    - Add udev hook and script for event based bring up.
    - Add support for biosdevname
    - Revert ifupdown integration as event based bringup is currently
      incompatible with the way ifupdown sets up bridges and vlans.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 15 May 2018 20:14:30 +0000

vlan (1.9-3.3) unstable; urgency=medium

  [ Stéphane Graber ]
  * Now that a vlan interface can be created by a udev hook and
    ifupdown checks return codes from the scripts,
    make sure to properly deal with an already existing interface.

  [ Dan Streetman ]
  * If VLAN is configured with higher MTU than raw device MTU, which can
    happen if VLAN is ifup'ed before raw device, then increase raw device
    MTU first so the VLAN ifup does not fail. (LP: #1224007)
  * Allow ip-rp-filter to be 0, 1, or 2 instead of only 0 or 1
    (LP: #1716964)

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Nov 2017 10:58:34 +0000

vlan (1.9-3.2ubuntu6) bionic; urgency=medium

  * Revert change for lp1573272; instead fix by redesigning when vlan
    interfaces are created; after raw-device ifup, not during raw-device
    udev processing. (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 19 Apr 2018 18:10:17 -0400

vlan (1.9-3.2ubuntu5) artful; urgency=medium

  * Allow ip-rp-filter to be 0, 1, or 2 instead of only 0 or 1
    (LP: #1716964)

 -- Dan Streetman <dan.streetman@canonical.com>  Wed, 20 Sep 2017 09:30:21 -0400

vlan (1.9-3.2ubuntu4) artful; urgency=medium

  * Correct previous patch, to work for ifupdown configuration where a
    vlan is configured but the vlan's raw device has no ifupdown config.
    (LP: #1573272)

 -- Dan Streetman <dan.streetman@canonical.com>  Mon, 29 May 2017 18:13:27 -0400

vlan (1.9-3.2ubuntu3) artful; urgency=medium

  * In vlan ifupdown pre-up script, instead of calling ip link up for
    raw device before creating vlan interface, do a full ifup for raw
    device.  Otherwise, if raw device processes ifup after vlan device,
    the raw device may be taken down and back up, which removes all vlan


## vlan 2.0.4ubuntu1.19.10.1

=== debian/changelog ===
vlan (2.0.4ubuntu1.19.10.1) eoan; urgency=medium

  * d/network/if-pre-up.d/vlan,
    d/network/if-up.d/vlan,
    d/vlan-network-interface:
    - Fix file mode to 775 (LP: #1876781)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 May 2020 19:52:30 -0400

## vlan 2.0.4ubuntu1.20.04.1

=== debian/changelog ===
vlan (2.0.4ubuntu1.20.04.1) focal; urgency=medium

  * d/network/if-pre-up.d/vlan,
    d/network/if-up.d/vlan,
    d/vlan-network-interface:
    - Fix file mode to 775 (LP: #1876781)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 May 2020 19:52:30 -0400

=== debian/control ===
Source: vlan
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
XS-Vcs-Git: https://salsa.debian.org/debian/vlan.git
XS-Vcs-Browser: https://salsa.debian.org/debian/vlan

Package: vlan
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, iproute2
Section: misc
Multi-Arch: foreign
Description: ifupdown integration for vlan configuration
 This package contains integration scripts for configuring vlan
 interfaces via ifupdown (/etc/network/interfaces).
 For further details see vlan-interfaces(5) man page in this package.
 .
 Please note that these integration scripts only supports a limited
 set of interface naming schemes, which means you might be better
 off with writing your own ifupdown hooks using ip(route2)
 directly in /etc/network/interfaces rather than using this package.
 .
 It currently also ships a wrapper script for backwards compatibility
 called vconfig, that replaces the old deprecated vconfig program
 with translations to ip(route2) commands.
 This compatibility shim might be dropped in future releases, please
 use ip(route2) commands directly.
 .
 Your kernel needs vlan support for this to work, see "modinfo 8021q".

Package: vlan-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vlan-modules
XB-Installer-Menu-Item: 99999
Description: vconfig wrapper to enable VLANs on your ethernet devices
 This package provides the vconfig wrapper script for backwards
 compatibility use in debian-installer.  This compatibility shim
 might be dropped in future releases, please convert debian-installer
 to use ip(route2) commands directly, and remove the dependency on
 this udeb.

## vlan 2.0.5

=== debian/changelog ===
vlan (2.0.5) unstable; urgency=medium

  * debian/network/if-pre-up.d/vlan: add missing biosdevname (Closes: #922801).
    - Thanks to Dan Steetman for the patch.

 -- Willem van den Akker <wvdakker@wilsoft.nl>  Thu, 21 Feb 2019 08:29:59 +0100

=== debian/control ===
Source: vlan
Section: misc
Priority: optional
Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/vlan.git
Vcs-Browser: https://salsa.debian.org/debian/vlan

Package: vlan
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, iproute2
Section: misc
Multi-Arch: foreign
Description: ifupdown integration for vlan configuration
 This package contains integration scripts for configuring vlan
 interfaces via ifupdown (/etc/network/interfaces).
 For further details see vlan-interfaces(5) man page in this package.
 .
 Please note that these integration scripts only supports a limited
 set of interface naming schemes, which means you might be better
 off with writing your own ifupdown hooks using ip(route2)
 directly in /etc/network/interfaces rather than using this package.
 .
 It currently also ships a wrapper script for backwards compatibility
 called vconfig, that replaces the old deprecated vconfig program
 with translations to ip(route2) commands.
 This compatibility shim might be dropped in future releases, please
 use ip(route2) commands directly.
 .
 Your kernel needs vlan support for this to work, see "modinfo 8021q".

## vlan 2.0.5ubuntu2

=== debian/changelog ===
vlan (2.0.5ubuntu2) groovy; urgency=medium

  * Remove dotfiles added during previous merge.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 23 Jun 2020 18:38:00 -0300

vlan (2.0.5ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1883788). Remaining changes:
    - Conditionally defer udev-triggered vlan interface creation
      to after raw-interface-device ifup is complete
      From: Ubuntu bug 1701023
      Files changed:
      - debian/vlan.udev
      - debian/network/if-up.d/vlan
    - Add a udeb for vconfig in debian-installer
      From: Ubuntu bug 530468
      Note: This should be droppable as d-i should not require
      'vconfig' because it can use 'ip' to create vlans,
      but currently it still depends on vlan-udeb
      Files changed:
      - debian/control
      - debian/vlan-udeb.install
    - Add support for biosdevname
      Only small change still required
      From: Debian bts 922801
      Files changed:
      - debian/network/if-pre-up.d/vlan
    - d/network/if-pre-up.d/vlan,
      d/network/if-up.d/vlan,
      d/vlan-network-interface:
      - Fix file mode to 775 (LP: 1876781)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 17 Jun 2020 12:15:28 +0000

vlan (2.0.4ubuntu2) groovy; urgency=medium

  * d/network/if-pre-up.d/vlan,
    d/network/if-up.d/vlan,
    d/vlan-network-interface:
    - Fix file mode to 775 (LP: #1876781)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 05 May 2020 19:52:30 -0400

## vlan 2.0.5ubuntu5

=== debian/changelog ===
vlan (2.0.5ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:31 +0100

vlan (2.0.5ubuntu4) hirsute; urgency=medium

  * Drop vlan-udeb altogether, launchpad doesn't like not being able to
    build any packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 08 Feb 2021 18:38:18 +0000

vlan (2.0.5ubuntu3) hirsute; urgency=medium

  * Build vlan without udeb by default by requiring udeb build-profile,
    which is not set by default.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 08 Feb 2021 12:43:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vlan
 Section: misc
 Priority: optional
-Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
 Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/vlan.git
-Vcs-Browser: https://salsa.debian.org/debian/vlan
+XS-Vcs-Git: https://salsa.debian.org/debian/vlan.git
+XS-Vcs-Browser: https://salsa.debian.org/debian/vlan
 
 Package: vlan
 Architecture: all

## vlan 2.0.5+nmu1

=== debian/changelog ===
vlan (2.0.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:12:02 +0800

## vlan 2.0.5+nmu3

=== debian/changelog ===
vlan (2.0.5+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch from /sbin/ip to /bin/ip (Closes: #1078721)

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Aug 2024 23:52:15 +0100

vlan (2.0.5+nmu2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove Section on vlan that duplicates source.
  * Update standards version to 4.6.1, no changes needed.

  [ Andrej Shadura ]
  * Drop old notes about kernel support.
  * Update the package description and the manpage to note this
    package is legacy.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 16 Jul 2024 10:33:11 +0200

=== debian/control ===
Source: vlan
Section: misc
Priority: optional
Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/vlan.git
Vcs-Browser: https://salsa.debian.org/debian/vlan

Package: vlan
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, iproute2
Multi-Arch: foreign
Description: ifupdown legacy integration for vlan configuration
 This package contains legacy integration scripts for configuring vlan
 interfaces via ifupdown (/etc/network/interfaces).
 For further details see vlan-interfaces(5) man page in this package.
 .
 Please note that this package is not necessary for most VLAN use cases
 with ifupdown. You only need to install it if you need to support
 the legacy VLAN naming scheme (vlan0001) or the following extra
 features it provides:
  * vlan‐raw‐device
  * ip‐proxy‐arp
  * ip‐rp‐filter
  * hw‐mac‐address
 .
 It currently also ships a wrapper script for backwards compatibility
 called vconfig, that replaces the old deprecated vconfig program
 with translations to ip(route2) commands.
 This compatibility shim might be dropped in future releases, please
 use ip(route2) commands directly.

## vlan 2.0.5+nmu3ubuntu1

=== debian/changelog ===
vlan (2.0.5+nmu3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. (LP: #2085306) Remaining changes:
    - Conditionally defer udev-triggered vlan interface creation
      to after raw-interface-device ifup is complete
      From: Ubuntu bug 1701023
      Files changed:
      + debian/vlan.udev
      + debian/network/if-up.d/vlan
    - d/network/if-up.d/vlan,
      d/vlan-network-interface:
      + Fix file mode to 755 (LP 1876781)
  * Dropped changes:
    - Add support for biosdevname (LP: 1701023)
      Applied upstream, only comment left, no logical change
    - Add a udeb for vconfig in debian-installer (LP: 530468)
      Dropped in 2.0.5ubuntu4, d-i is no more in Ubuntu
    - d/network/if-pre-up.d/vlan: Fix file mode to 755 (LP 1876781)
      Applied upstream

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 05 Dec 2024 10:24:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vlan
 Section: misc
 Priority: optional
-Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Willem van den Akker <wvdakker@wilsoft.nl>
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

## vlan 2.0.5+nmu3ubuntu2

=== debian/changelog ===
vlan (2.0.5+nmu3ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 22:00:56 +0100
